Bug 1171038 - GCC 10: webkit2gtk3 build fails on i586
GCC 10: webkit2gtk3 build fails on i586
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks: 1157217
  Show dependency treegraph
 
Reported: 2020-05-04 07:23 UTC by Martin Liška
Modified: 2020-05-07 11:57 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2020-05-04 07:23:39 UTC
Fails with:

[  183s] ../Source/JavaScriptCore/assembler/MacroAssemblerCodeRef.h:100:15: error: 'template<class ReturnType, class ... Arguments> constexpr JSC::CFunctionPtr::CFunctionPtr(ReturnType (&)(Arguments ...))' cannot be overloaded with 'template<class ReturnType, class ... Arguments> constexpr JSC::CFunctionPtr::CFunctionPtr(ReturnType (&)(Arguments ...))'
[  183s]   100 |     constexpr CFunctionPtr(ReturnType(FASTCALL &ptr)(Arguments...))
[  183s]       |               ^~~~~~~~~~~~
[  183s] ../Source/JavaScriptCore/assembler/MacroAssemblerCodeRef.h:70:15: note: previous declaration 'template<class ReturnType, class ... Arguments> constexpr JSC::CFunctionPtr::CFunctionPtr(ReturnType (&)(Arguments ...))'
[  183s]    70 |     constexpr CFunctionPtr(ReturnType(&ptr)(Arguments...))
[  183s]       |               ^~~~~~~~~~~~
[  183s] ../Source/JavaScriptCore/assembler/MacroAssemblerCodeRef.h:105:14: error: 'template<class ReturnType, class ... Arguments> JSC::CFunctionPtr::CFunctionPtr(ReturnType (*)(Arguments ...))' cannot be overloaded with 'template<class ReturnType, class ... Arguments> JSC::CFunctionPtr::CFunctionPtr(ReturnType (*)(Arguments ...))'
[  183s]   105 |     explicit CFunctionPtr(ReturnType(FASTCALL *ptr)(Arguments...))
[  183s]       |              ^~~~~~~~~~~~
[  183s] ../Source/JavaScriptCore/assembler/MacroAssemblerCodeRef.h:75:14: note: previous declaration 'template<class ReturnType, class ... Arguments> JSC::CFunctionPtr::CFunctionPtr(ReturnType (*)(Arguments ...))'
[  183s]    75 |     explicit CFunctionPtr(ReturnType(*ptr)(Arguments...))
[  183s]       |              ^~~~~~~~~~~~
[  183s] ../Source/JavaScriptCore/assembler/MacroAssemblerCodeRef.h:161:5: error: 'template<WTF::PtrTag tag> template<class ReturnType, class ... Arguments> JSC::FunctionPtr<tag>::FunctionPtr(ReturnType (*)(Arguments ...))' cannot be overloaded with 'template<WTF::PtrTag tag> template<class ReturnType, class ... Arguments> JSC::FunctionPtr<tag>::FunctionPtr(ReturnType (*)(Arguments ...))'
[  183s]   161 |     FunctionPtr(ReturnType(FASTCALL *value)(Arguments...))
[  183s]       |     ^~~~~~~~~~~
[  183s] ../Source/JavaScriptCore/assembler/MacroAssemblerCodeRef.h:137:5: note: previous declaration 'template<WTF::PtrTag tag> template<class ReturnType, class ... Arguments> JSC::FunctionPtr<tag>::FunctionPtr(ReturnType (*)(Arguments ...))'
[  183s]   137 |     FunctionPtr(ReturnType(*value)(Arguments...))
[  183s]       |     ^~~~~~~~~~~

here:
https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:N/webkit2gtk3/standard/i586
Comment 1 Martin Liška 2020-05-05 08:26:25 UTC
It's likely a GCC bug:
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=94946
Comment 3 Martin Liška 2020-05-07 11:57:51 UTC
Fixed in gcc.